#!/bin/sh
# -*-Scheme-*-
#
# Copyright (C) 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015,
#     2016, 2017, 2018, 2019 Matthew Birkholz
#
# This file is part of a Gtk plugin for MIT/GNU Scheme Pucked.
#
# This plugin is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This plugin is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this plugin; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
# 02110-1301, USA.

# Test the GTK option.

set -e
: ${MIT_SCHEME_EXE=mit-scheme}
${MIT_SCHEME_EXE} --prepend-library . <<\EOF
(begin
  (load-option 'gtk)
  (let ((new (extend-top-level-environment (->environment '(gtk))))
	(ffi (->environment '(RUNTIME FFI))))
    (load "gtk-tests" new)
    (if (gtk-initialized?)
	(let ((await-closed-demos (access await-closed-demos new))
	      (assert-clean-ffi (access assert-clean-ffi new)))
	  (load "hello" new)
	  (with-gc-notification! #t await-closed-demos)
	  (assert-clean-ffi "gtk"))
	(warn "Could not test the GTK subsystem without a DISPLAY.")))
  )
EOF
